청구 제외와 정정 이벤트 조회
curl --request GET \
--url https://meterengine.com/v1/unbilled-events \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/unbilled-events';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"cutoff_at": "2023-11-07T05:31:56Z",
"future_timestamp": {
"earliest_occurred_at": "2023-11-07T05:31:56Z",
"event_count": 123,
"latest_occurred_at": "2023-11-07T05:31:56Z"
},
"month": "<string>",
"negative_quantity": {
"billable_metrics": [
{
"billable_metric_code": "<string>",
"event_count": 123
}
],
"event_count": 123
},
"non_numeric_value": {
"billable_metrics": [
{
"billable_metric_code": "<string>",
"event_count": 123
}
],
"event_count": 123
},
"unmatched_type": {
"event_count": 123,
"types": [
{
"event_count": 123,
"type": "<string>"
}
]
}
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}청구 제외 사용량
청구 제외와 정정 이벤트 조회
미매칭 유형, 숫자가 아닌 값, 미래 시각과 음수 수량 이벤트를 센다. 음수 수량은 거절하거나 집계에서 빼지 않는다. 미래 시각은 cutoff_at 이상이며 시각이 지나면 집계에 들어간다. 수량 판정은 미터별이라 같은 이벤트가 여러 미터에 잡힐 수 있다.
GET
/
v1
/
unbilled-events
청구 제외와 정정 이벤트 조회
curl --request GET \
--url https://meterengine.com/v1/unbilled-events \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/unbilled-events';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"cutoff_at": "2023-11-07T05:31:56Z",
"future_timestamp": {
"earliest_occurred_at": "2023-11-07T05:31:56Z",
"event_count": 123,
"latest_occurred_at": "2023-11-07T05:31:56Z"
},
"month": "<string>",
"negative_quantity": {
"billable_metrics": [
{
"billable_metric_code": "<string>",
"event_count": 123
}
],
"event_count": 123
},
"non_numeric_value": {
"billable_metrics": [
{
"billable_metric_code": "<string>",
"event_count": 123
}
],
"event_count": 123
},
"unmatched_type": {
"event_count": 123,
"types": [
{
"event_count": 123,
"type": "<string>"
}
]
}
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.